Get Wallet
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"wallet": {
"latestAddress": {
"address": "<string>",
"networkId": "<string>",
"publicKey": "<string>",
"signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
"signatureVersion": "V1",
"signedJson": "7b225465787441646472657373223a22307831323334227d",
"walletId": "<string>",
"certChain": "<string>"
},
"name": "<string>",
"networkId": "<string>",
"vaultId": "<string>",
"walletId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get Wallet
Permissions required: Read vault activity
Retrieve a wallet by ID. Use this endpoint to poll for wallet creation status after calling POST /wallets.
GET
/
wallets
/
{walletId}
Get Wallet
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"wallet": {
"latestAddress": {
"address": "<string>",
"networkId": "<string>",
"publicKey": "<string>",
"signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
"signatureVersion": "V1",
"signedJson": "7b225465787441646472657373223a22307831323334227d",
"walletId": "<string>",
"certChain": "<string>"
},
"name": "<string>",
"networkId": "<string>",
"vaultId": "<string>",
"walletId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Was this page helpful?